Returns the cascade candidate change fraction

- « fann_get_cascade_activation_steepnesses

- fann_get_cascade_candidate_limit »

- PHP Manual
- Fann Functions
- Returns the cascade candidate change fraction

# fann_get_cascade_candidate_change_fraction

(PECL fann >= 1.0.0)

fann_get_cascade_candidate_change_fraction — Returns the cascade candidate change fraction

### Description

fann_get_cascade_candidate_change_fraction(resource `$ann`): float

The cascade candidate change fraction is a number between 0 and 1 determining how large a fraction the fann_get_MSE() value should change within fann_get_cascade_candidate_stagnation_epochs() during training of the candidate neurons, in order for the training not to stagnate. If the training stagnates, the training of the candidate neurons will be ended and the best candidate will be selected.

It means that if the MSE does not change by a fraction of fann_get_cascade_candidate_change_fraction() during a period of fann_get_cascade_candidate_stagnation_epochs(), the training of the candidate neurons is stopped because the training has stagnated.

If the cascade candidate change fraction is low, the candidate neurons will be trained more and if the fraction is high they will be trained less.

The default cascade candidate change fraction is 0.01, which is equalent to a 1% change in MSE.

### Parameters

`ann`

  Neural network resource.

### Return Values

The cascade candidate change fraction, or `false` on error.

### See Also

- fann_set_cascade_candidate_change_fraction() - Sets the cascade candidate change fraction
- fann_get_MSE() - Reads the mean square error from the network
- fann_get_cascade_candidate_stagnation_epochs() - Returns the number of cascade candidate stagnation epochs